> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysiren.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> API to Update the user information

## Header

<ParamField header="Authorization" type="string" required={true} description="Bearer token for API authentication. Format: `Bearer {{apiToken}}" />

## Query Parameters

<ParamField query="uniqueId" type="string" required>
  The unique identifier of the user to update.
</ParamField>

<RequestExample>
  ```json Request Example theme={null}
  {
    "email": "xyz@mail.com",
    "sms": "+1234567890",
    "whatsapp": "+1234567890",
    "pushToken": null,
    "inApp": null,
    "slack": null,
    "discord": null,
    "teams": null,
    "line": null,
    "activeChannels": [
      "sms",
      "whatsapp"
    ],
    "name": "qwert",
    "uniqueId": "qwert",
    "active": true,
    "customData": null
  }
  ```
</RequestExample>

## Request Body Parameters

<ParamField body="email" type="string">
  The email address of the user.
</ParamField>

<ParamField body="sms" type="string">
  The SMS number of the user.
</ParamField>

<ParamField body="whatsapp" type="string">
  The WhatsApp number of the user.
</ParamField>

<ParamField body="pushToken" type="string">
  The Push Token of the user.
</ParamField>

<ParamField body="inApp" type="string">
  The InApp id of the user.
</ParamField>

<ParamField body="slack" type="string">
  The slack id of the user
</ParamField>

<ParamField body="discord" type="string">
  The discord id of the user
</ParamField>

<ParamField body="teams" type="string">
  The teams id of the user
</ParamField>

<ParamField body="line" type="string">
  The line id of the user
</ParamField>

<ParamField body="activeChannels" type="array">
  The active channels of the user
</ParamField>

<ParamField body="name" type="string">
  The name of the user
</ParamField>

<ParamField body="uniqueId" type="uuid">
  The unique identifier of the user
</ParamField>

<ParamField body="active" type="boolean">
  The active status of the user
</ParamField>

<ParamField body="customData" type="object">
  The custom data of the user
</ParamField>

<ResponseExample>
  ```json ResponseExample theme={null}
  {
    "email": "rj6EC02IyA3ZEd+6x@idS.Qfw0d8Esxsc8AJEuTF.cfVwSQrxjrkbmbwIIKvqhDpgnaKxXs",
    "sms": "+363186",
    "whatsapp": "+16552905891096103551438680282706",
    "pushToken": "string",
    "inApp": "string",
    "slack": "string",
    "discord": "string",
    "teams": "string",
    "line": "string",
    "activeChannels": ["SMS"],
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "firstName": "string",
    "lastName": "string",
    "uniqueId": "string",
    "active": true,
    "customData": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "segments": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "name": "string",
        "description": "string"
      }
    ]
  }
  ```
</ResponseExample>

## Status Codes

`200` - OK: User updated successfully
